<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<mtk_agps_profiles maj_ver="1" min_ver="2">

  <!-- cur_supl_profile and supl_profile

    name:
        SLP name will be displayed on LocatioEM2 - SLP Template list

    addr:
        SLP address

    port:
        SLP port

    tls:
        enable/disable TLS connection
        available value: true (default), false

    ===== load SLP profile automatically based on PLMN =====
    mcc (optional):
        auto configure the supl_profile if the current MCC on DUT are the same as mcc parameter you specified and auto_profile_enable is enabled

    mcc_mnc (optional):
        auto configure the supl_profile if the current MCC and MNC on DUT are the same as mcc_mnc paramter you specified and auto_profile_enable is enabled

    supl_version (optional):
        auto configure supl_version if above mcc_mnc condition is met
        available value: 1 -> SUPL1.0 (default)
        available value: 2 -> SUPL2.0

    tls_version (optional):
        auto configure tls_version if above mcc_mnc condition is met
        available value: 0 -> TLS1.0 (default)
        available value: 1 -> TLS1.1
        available value: 2 -> TLS1.2

    sha_version (optional):
        auto configure sha_version if above mcc_mnc condition is met
        available value: 0 -> SHA1 for SUPL1.0 and SHA256 for SUPL2.0 (default)
        available value: 1 -> SHA1 for SUPL1.0 and SUPL2.0
        available value: 2 -> SHA256 for SUPL1.0 and SUPL2.0

    supl_ver_minor (optional):
        auto configure the minor of supl_version if above mcc_mnc condition is met
        available value: 0~255, default value is 0

    supl_ver_ser_ind (optional):
        auto configure the service indicator of supl_version if above mcc_mnc condition is met
        available value: 0~255, default value is 0

    esupl_apn_mode:
        how to choose APN for eSUPL
        available value: 0 to use Emergency / IMS APN if they are available as GSMA IR92 (default)
                         1 to use Emergency APN if it is available
                         2 to use IMS APN if it is available
                         3 not to use Emergency / IMS APN, just as a normal supl

    ===== other parameters are used for DM =====
    app_id (optional):
        "ap0004"

    provider_id (optional):
        "221.176.0.55"

    default_apn (optional):
        "XXX WAP"

    optional_apn (optional):
        "internet"

    optional_apn_2 (optional):
        ""

    address_type (optional):
        "IPv4address:port"
  -->

  <cur_supl_profile name="GOOGLE"
      addr="supl.google.com"
      port="7275"
      tls="true"
  />

  <!-- GOOGLE-->
  <supl_profile name="GOOGLE"
      addr="supl.google.com"
      port="7275"
      tls="true"
  />

  <!-- GOOGLE-->
  <supl_profile name="GOOGLE nonTLS"
      addr="supl.google.com"
      port="7276"
      tls="false"
  />

  <!-- GOOGLE-->
  <supl_profile name="GOOGLE IP"
      addr="74.125.204.192"
      port="7276"
      tls="false"
  />

  <!-- Spirent Lab -->
  <supl_profile name="SpirentLcs"
      addr="www.spirent-lcs.com"
      port="7275"
      tls="true"
  />

  <!-- Spirent Lab Operator Test Cases -->
  <supl_profile name="Spirent"
      addr="www.spirent.com"
      port="7275"
      tls="true"
  />

  <!-- R&S Lab -->
  <supl_profile name="RnS"
      addr="slp.rs.de"
      port="7275"
      tls="true"
  />

  <!-- CMCC Lab -->
  <supl_profile name="CMCC Lab"
      addr="218.206.176.50"
      port="7275"
      tls="true"
  />

  <!-- Andrew Lab -->
  <supl_profile name="Andrew"
      addr="slp1acva.andrew.com"
      port="7275"
      tls="true"
  />

  <!-- Ericsson  Lab -->
  <supl_profile name="Ericsson"
      addr="172.22.1.100"
      port="7275"
      tls="true"
  />

  <!-- Ericsson  Lab FQDN -->
  <supl_profile name="Ericsson FQDN"
      addr="mvtvltegmpc.naladmz.ericsson.ca"
      port="7275"
      tls="true"
  />

  <!-- Ericsson  Lab FQDN 2 -->
  <supl_profile name="Ericsson FQDN 2"
      addr="mvtv-broadcom.naladmz.ericsson.ca"
      port="7275"
      tls="true"
  />

  <!-- Ericsson  Lab FQDN 3 -->
  <supl_profile name="Ericsson FQDN TW"
      addr="gmpc01.ert.ericsson.se"
      port="7275"
      tls="true"
  />

  <!-- Ericsson  Lab FQDN 4 -->
  <supl_profile name="Ericsson FQDN TW 2"
      addr="gmpc03GIC.ericsson.ca"
      port="7275"
      tls="true"
  />

  <!-- ORANGE -->
  <supl_profile name="ORANGE"
      addr="agpss.orange.fr"
      port="7275"
      tls="true"
  />

  <!-- CMCC-->
  <supl_profile name="CMCC"
      addr="221.176.0.55"
      port="7275"
      tls="true"
      app_id="ap0004"
      provider_id="221.176.0.55"
      default_apn="CMCC WAP"
      optional_apn="CMNET"
      optional_apn_2=""
      address_type="IPv4address:port"
  />

  <!-- qxwz: China Public Server on Internet -->
  <supl_profile name="qxwz"
      addr="supl.qxwz.com"
      port="7275"
      tls="true"
  />

  <!-- Telstra -->
  <supl_profile name="Telstra"
      addr="agps.supl.telstra.com"
      port="7275"
      tls="true"
  />

  <!-- CHUAN HWA -->
  <supl_profile name="Chunghwa"
      addr="10.1.101.137"
      port="8025"
      tls="false"
  />

  <!-- T-Mobile -->
  <supl_profile name="T-Mobile LBS"
      addr="lbs.geo.t-mobile.com"
      port="7275"
      tls="true"
  />

  <!-- T-Mobile for UE with SHA2 -->
  <supl_profile name="T-Mobile SUPL"
      addr="supl.geo.t-mobile.com"
      port="7275"
      tls="true"
  />

  <!-- T-Mobile for LPP Test -->
  <supl_profile name="T-Mobile LAB"
      addr="supl.geo.msg.lab.t-mobile.com"
      port="7275"
      tls="true"
  />

  <!-- KDDI -->
  <supl_profile name="KDDI"
      addr="lcs-iot.kddi.ne.jp"
      port="7275"
      tls="true"
  />

  <!-- KDDI Lab Test -->
  <supl_profile name="KDDI Lab Test"
      addr="lcs-iot-test.kddi.ne.jp"
      port="7275"
      tls="true"
  />

  <!-- Vodafone -->
  <supl_profile name="Vodafone"
      addr="supl.vodafone.com"
      port="7275"
      tls="true"
      mcc_mnc="22010"
      supl_version="2"
      tls_version="1"
      sha_version="0"
  />

  <!-- Test 1 -->
  <supl_profile name="Test 1"
      addr="127.0.0.1"
      port="7276"
      tls="false"
      mcc_mnc="999998"
      supl_version="1"
      tls_version="0"
      sha_version="2"
      supl_ver_minor="4"
      supl_ver_ser_ind="2"
  />

  <!-- Test 2 -->
  <supl_profile name="Test 2"
      addr="127.0.0.1"
      port="7276"
      tls="false"
      mcc_mnc="999999"
      supl_version="2"
      tls_version="1"
      sha_version="0"
  />

  <!-- Test 3 -->
  <supl_profile name="Test 3"
      addr="127.0.0.1"
      port="7276"
      tls="false"
      mcc="998"
      supl_version="1"
      tls_version="2"
      sha_version="1"
  />

  <!-- nlp_profile

    name:
        NLP vendor name

    package_name:
        NLP apk package name
  -->
  <nlp_profile name="Baidu"
      package_name="com.baidu.map.location"
  />

  <!-- cdma_profile

    name:
        SLP name

    mcp_enable:
        enable/disable MCP parameters
        available value: true, false (default)

    mcp_addr:
        MCP address

    mcp_port:
        MCP port

    pde_addr_valid:
        PDE address is valid or invalid
        available value: true, false (default)

    pde_ip_type:
        PDE's address type
        available value: 0 -> IPv4 (default)
        available value: 1 -> IPv6

    pde_addr:
        PDE IP address

    pde_port:
        PDE port

    pde_url_valid:
        PDE URL is valid or invalid
        available value: true, false (default)

    pde_url_addr:
        PDE URL
  -->

  <!-- CDMA profile template -->
  <cdma_profile name="CDMA1"
    mcp_enable="true"
    mcp_addr="10.199.22.165"
    mcp_port="6066"
    pde_addr_valid="false"
    pde_ip_type="0"
    pde_addr="11.11.11.11"
    pde_port="1111"
    pde_url_valid="false"
    pde_url_addr="www.mediatek.com"
  />


  <!-- agps_setting

    agps_enable:
        enable/disable A-GPS
        available value: true (default), false

    agps_protocol:
       choose which A-GPS you want to use for SET Initiated
       available value: 0 -> User Plane (default)
       available value: 1 -> Control Plane

    gpevt:
        enable/disable GPEVT report
        available value: true, false (default)

    e911_gps_icon_enable:
        enable/disable showing GPS icon during E911 location
        available value: true (default), false

    e911_open_gps:
        enable/disable opening GPS earlier when E911 call is dialed

    tc10_ignore_fw_config:
        enable/disable TC10's configuration from FWK
        available value: true, false (default)

    lppe_network_location_disable:
        enable/disable LPPe's crowd source location (ex: network location)
        available value: true, false (default)

    agps_nvram_enable
        enable/disable AGPS NVRAM functionality
        available value: true (default), false

    lbs_log_enable
        enable/disable tc10 lbs log to the debugging port
        available value: true (default), false

    lppe_crowd_source_confident
        determine how confident you would like to fill in LPPe HA3D Position for crowd source location
        available value: 0~99, 90 is default

  -->
  <agps_setting
    agps_enable="true"
    agps_protocol="0"
    gpevt="false"
    e911_gps_icon_enable="false"
    e911_open_gps="false"
    tc10_ignore_fw_config="false"
    lppe_network_location_disable="false"
    agps_nvram_enable="true"
    lbs_log_enable="false"
    lppe_crowd_source_confident="90"
  />


  <!-- gnss_setting

    sib8_16_enable:
        enable/disable SIB8/SIB16
        available value: true (default), false

    a_glonass_satellite_enable:
        enable/disable Glonass aiding if hardware can support A-Glonass
        available value: true (default), false

    a_beidou_satellite_enable:
        enable/disable Beidou aiding if hardware can support A-Beidou
        available value: true, false (default)

    a_galileo__satellite_enable:
        enable/disable Galileo aiding if hardware can support A-Galileo
        available value: true, false (default)

  -->
  <gnss_setting
    sib8_16_enable="true"
    a_glonass_satellite_enable="true"
    a_beidou_satellite_enable="true"
    a_galileo_satellite_enable="true"
  />

  <!-- cp_setting

    molr_pos_method:
        available value: 0 (Location Estimate) (default)
        available value: 1 (Assistance Data)

    external_addr_enable:
        enable/disable the external address
        available value: true, false (default)

    external_addr:
        external_address

    mlc_number_enable:
        enable/disable the mlc number
        available value: true, false (default)

    mlc_number:
        MLC number

    cp_auto_reset:
        enable/disable to send PMTK997_5
        available value: true, false (default)

    epc_molr_lpp_payload_enable:
        enable/disable to send LPP payload in the EPC-MOLR message
        available value: true, false (default)

    epc_molr_lpp_payload:
        specify the LPP payload in the EPC-MOLR message in hexString format (ex: "010203ff" = { 0x01, 0x02, 0x03, 0xff }
        the purpose of this parameter is used for LAB testing only, please do not change it.

    reject_non911_nilr_enable:
        enable/disable to reject non911 NILR request
        available value: true, false (default)

    cp_2g_disable:
        enable/disable CP GSM functionality
        available value: true, false (default)

    cp_3g_disable:
        enable/disable CP UMTS functionality
        available value: true, false (default)

    cp_4g_disable:
        enable/disable CP LTE functionality
        available value: true, false (default)

    cp_lppe_enable: (not ready, in development)
        enable/disable CP LPPe functionality
        available value: true (default), false
  -->
  <cp_setting
    molr_pos_method="0"
    external_addr_enable="false"
    external_addr="0123456789*#+"
    mlc_number_enable="false"
    mlc_number="0123456789*#+"
    cp_auto_reset="false"
    epc_molr_lpp_payload_enable="false"
    epc_molr_lpp_payload="D2000010237B2026404FB8007202BFFFFFFFF80000000020C0000100940FB9001202B7FFFFF8000000000061800002018A00"
    reject_non911_nilr_enable="false"
    cp_2g_disable="false"
    cp_3g_disable="false"
    cp_4g_disable="false"
    cp_lppe_enable="true"
  />

  <!-- up_setting

    ca_enable:
        enable/disable the certificate verification
        available value: true, false (default)

    ni_request:
        enable/disable Network Initiated (NI) functionality
        available value: true (default), false

    roaming:
        enable/disable to use A-GPS when device is under roaming state
        available value: true (default), false

    cdma_preferred:
        when CDMA network and WCDMA network are available, which AGPS protocol you prefer?
        available value: 0 (WCDMA AGPS protocol is preferred) (default)
        available value: 2 (FORCE CDMA AGPS protocol)

    pref_method:
        the preferred method in SUPL_START and SUPL_POS_INIT
        available value: 0 -> SET assisted Preferred
        available value: 1 -> SET Based Preferred (default)
        available value: 2 -> no Preference

    supl_version:
        Major of SUPL version for ULP
        available value: 1 -> SUPL1.0 (default)
        available value: 2 -> SUPL2.0

    tls_version:
        TLS version for TLS connection
        available value: 0 -> TLS1.0 (default)
        available value: 1 -> TLS1.1
        available value: 2 -> TLS1.2

    sha_version:
        SHA version for calculating VER
        available value: 0 -> SHA1 for SUPL1.0 and SHA256 for SUPL2.0 (default)
        available value: 1 -> SHA1 for SUPL1.0 and SUPL2.0
        available value: 2 -> SHA256 for SUPL1.0 and SUPL2.0

    supl_log:
        enable or disable the AGPS log
        available value: true, false (default)

    msa_enable:
        enable/disable the MSA capability
        available value: true (default), false

    msb_enable:
        enable/disable the MSB capability
        available value: true (default), false

    ecid_enable:
        enable/disable the eCID capability
        available value: true (default), false

    autonomous_enable:
        enable/disable the Autonomous capability
        available value: true (default), false

    aflt_enable:
        enable/disable the AFLT capability
        available value: true, false (default)

    udp_port_enable:
        enable/disable the UDP 7275 port by default, if you enable it, you may cause Android/CTS failure for checking netstat
        available value: true, false (default)

    dedicated_apn_enable:
        enable/disable the dedicated SUPL APN flow
        available value: true, false (default)

    preferred_2g3g_cell_age:
        max age of 2G / 3G cell info in history is OK to send to SLP server instead if the latest cell is of 3G or 4G.
        available value: non-negative integer, from 0 ~ 1800, unit in second
                           0 (always use the latest cell info)
                         300 (prefer to use 2G / 3G cell if its age is less than 5 mins)

    lpp_enable:
        enable/disable the LPP capability
        available value: true (default), false

    cert_from_sdcard:
        enable/disable the AGPS certification installation from the internal SDCard (~ Android 8)
        or from "/vendor/etc/security/cacerts_supl/lab" (Android 9 does not allow vendor modules accessing the internal SDCard).
        Please use "false" for Android 9 and laters because the lab root certs are not secure (they may be issued by a
        non-trusted CA or their related private keys may be public).
        And enable this option for lab test by using Engineering Mode Utility
        available value: true (default), false

    auto_profile_enable:
        enable/disable the auto profile configuration based on current mcc or mcc_mnc specified in cur_supl_profile or supl_profile
        available value: true (default), false

    ut1:
        customize the SUPL UT1 timer
        available value: 1~60, default value is 11 (OMA spec)

    ut2:
        customize the SUPL UT2 timer
        available value: 1~60, default value is 11 (OMA spec)

    ut3:
        customize the SUPL UT3 timer
        available value: 1~60, default value is 10 (OMA spec)

    sync_to_slp:
        sync the AGPS setting (ex: SUPL profile, SUPL version, TLS version) from AGPSD to SLPD in runtime
        available value: true, false (default)

    imsi_enable:
        enable/disable the valid IMSI in SUPL messages
        available value: true (default), false

    no_sensitive_log:
        remove/allow agps daemon's log with sensitive info (e.g., the current location)
        available value: true, false (default)

    supl_ver_minor:
        Minor of SUPL version for ULP
        available value: 0~255, default value is 0
        choosable value in LocationEM: 0~5

    supl_ver_ser_ind:
        Service Indicator of SUPL version for ULP
        available value: 0~255, default value is 0
        choosable value in LocationEM: 0~5

    tls_reuse_enable:
        enable/disable tls session reuse mode
        available value: true, false (default)

    imsi_cache_enable:
        enable/disable the IMSI cache mechanism
        available value: true, false (default)
    supl_raw_data_enable:

        enable/disable SUPL raw data dump to main log (logcat)
        available value: true, false (default)

    allow_ni_for_gps_off:
        allow NI request when GPS is off in location setting
        available value: true, false (default)

    force_otdoa_assist_req:
        force to fill otdoa assistance request when posMethod=agpsSETassisted,agpsSETassistedpref,ver2-agnssSETassisted or agnssSETassistedpref
        Notice that some servers may not allow to get otdoa assistance request when posMethod is not OTDOA
        available value: true, false (default)

    up_lppe_enable (not ready, in development)
        enable/disable UP LPPe functionality
        available value: true (default), false

    esupl_apn_mode:
        how to choose APN for eSUPL
        available value: 0 to use Emergency / IMS APN if they are available as GSMA IR92 (default)
                         1 to use Emergency APN if it is available
                         2 to use IMS APN if it is available
                         3 not to use Emergency / IMS APN, just as a normal supl

    tcp_keepalive:
        enable/disable TCP Keepalive functionality for SUPL
        available value: 0 disable (default)
                         > 0 enable to send TCP keepalive packetets and interval value is tcp_keepalive in second

    aosp_profile_enable:
        enable/disable the supl profile configuration from GnssLocationProvider via native_set_agps_server
        auto_profile_enable will be ignored when aosp_profile_enable is true because AOSP Location Framework
        can load SUPL_HOST and SUPL_PORT from framework resource for different MCC/MNC
        available value: true, false (default)

    bind_nlp_setting_to_supl
        enable/disable to bind nlp setting to SUPL SI flow
        If it is enabled, the SUPL SI is enabled only if NLP setting is enabled by user
        If it is disabled, agps_enable will be used and it's same as previous design
        available value: true, false (default)
  -->
  <up_setting
    ca_enable="false"
    ni_request="true"
    roaming="true"
    cdma_preferred="0"
    pref_method="1"
    supl_version="2"
    tls_version="1"
    sha_version="0"
    supl_log="false"
    msa_enable="true"
    msb_enable="true"
    ecid_enable="true"
    autonomous_enable="true"
    aflt_enable="false"
    qop_hacc="22"
    qop_vacc="0"
    qop_loc_age="0"
    qop_delay="0"
    udp_port_enable="false"
    dedicated_apn_enable="true"
    preferred_2g3g_cell_age="300"
    lpp_enable="true"
    cert_from_sdcard="false"
    auto_profile_enable="true"
    ut1="11"
    ut2="11"
    ut3="10"
    sync_to_slp="false"
    imsi_enable="true"
    no_sensitive_log="true"
    supl_ver_minor="0"
    supl_ver_ser_ind="0"
    tls_reuse_enable="false"
    imsi_cache_enable="false"
    supl_raw_data_enable="false"
    allow_ni_for_gps_off="false"
    force_otdoa_assist_req="false"
    up_lppe_enable="true"
    esupl_apn_mode="0"
    tcp_keepalive="4"
    aosp_profile_enable="true"
    bind_nlp_setting_to_supl="false"
    privacy_override_mode="15"
  />

</mtk_agps_profiles>
